edu.isi.pegasus.planner.invocation

## Interface HasFilename

All Known Implementing Classes:
  Fifo, Regular, Temporary

    public interface HasFilename

This interface defines a common base for all File elements in an invocation record that carry a filename in their values. It exists primarily for grouping purposes and for easier access for the database manager.

Version:
  $Revision$
Author:
  Jens-S. Vöckler, Yong Zhao

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getFilename()` Accessor: Obtains the name of the file
`void` `setFilename(java.lang.String filename)` Accessor: Sets the name of an file object.

### Method Detail

#### getFilename

    java.lang.String getFilename()

Accessor: Obtains the name of the file

Returns:
  the name of the file objects. Null is legal.
See Also:
  `setFilename(String)`

#### setFilename

    void setFilename(java.lang.String filename)

Accessor: Sets the name of an file object.

Parameters:
  `filename` - is the new name to store as filename.
See Also:
  `getFilename()`